<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddStagesFieldsInProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->timestamp('created')->nullable();
            $table->timestamp('pre_check')->nullable();
            $table->timestamp('arrival_check')->nullable();
            $table->timestamp('uploaded')->nullable();
            $table->timestamp('out_of_stock')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropColumn('created');
            $table->dropColumn('pre_check');
            $table->dropColumn('arrival_check');
            $table->dropColumn('uploaded');
            $table->dropColumn('out_of_stock');
        });
    }
}
