<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterProductsTableAddFields extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::table('products', function (Blueprint $table){
            $table->unsignedBigInteger('recommended_size_id')->nullable();
            $table->foreign('recommended_size_id')
                ->references('id')
                ->on('recommended_sizes')
                ->onDelete('set null');

            $table->unsignedBigInteger('material_id')->nullable();
            $table->foreign('material_id')
                ->references('id')
                ->on('materials')
                ->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('products', function (Blueprint $table) {
            $table->dropConstrainedForeignId( 'recommended_size_id');
            $table->dropConstrainedForeignId( 'material_id');
        });
    }
}
